%define		package	TwigBridge
%define		php_min_version 5.3.9
Summary:	%{package} - Symfony2 Twig Bridge
Name:		php-symfony2-TwigBridge
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	d715f23617b0eb0d40b22852f54618a6
URL:		https://github.com/symfony/TwigBridge
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
Requires:	php-twig-Twig >= 1.23
Suggests:	php-symfony2-Asset
Suggests:	php-symfony2-Finder
Suggests:	php-symfony2-Form
Suggests:	php-symfony2-HttpKernel
Suggests:	php-symfony2-Routing
Suggests:	php-symfony2-Security
Suggests:	php-symfony2-Templating
Suggests:	php-symfony2-Translation
Suggests:	php-symfony2-VarDumper
Suggests:	php-symfony2-Yaml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides integration for Twig with various Symfony2 components.

%prep
%setup -q -n twig-bridge-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Twig
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Twig
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Twig/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Bridge/Twig
%{php_data_dir}/Symfony/Bridge/Twig/*.php
%{php_data_dir}/Symfony/Bridge/Twig/Command
%{php_data_dir}/Symfony/Bridge/Twig/DataCollector
%{php_data_dir}/Symfony/Bridge/Twig/Extension
%{php_data_dir}/Symfony/Bridge/Twig/Form
%{php_data_dir}/Symfony/Bridge/Twig/Node
%{php_data_dir}/Symfony/Bridge/Twig/NodeVisitor
%{php_data_dir}/Symfony/Bridge/Twig/Resources
%{php_data_dir}/Symfony/Bridge/Twig/TokenParser
%{php_data_dir}/Symfony/Bridge/Twig/Translation
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-TwigBridge.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> f280f09
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 17d1741
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> fcd8acc
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> a2cac5d
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 15cae10
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 5bc4dda
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 4e6184d
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 4321780
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 468d4c8
- package new files

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 66dee89
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 69b0bbb
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> a53afbb
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 37ee956
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> aa366e2
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 6043f11
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 529d873
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> d36cf2c
- initial add. version 2.1.4

